Name:		fotocx
Version:	25.0
Release:	%mkrel 1
Summary:	Editor of image files from digital cameras
License:	GPLv3
Group:		Graphics/Editors and Converters
URL:		https://www.kornelix.net/fotocx/fotocx.html
Source0:	https://www.kornelix.net/downloads/downloads/fotocx-%{version}-source.tar.gz
Patch0:		fotocx-24.21-mga-desktop_file.patch

BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libraw)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(champlain-0.12)
BuildRequires:	pkgconfig(champlain-gtk-0.12)
BuildRequires:	ufraw
BuildRequires:	perl(Image::ExifTool)
BuildRequires:	xdg-utils

Requires:	exiv2
Requires:	ufraw
Requires:	perl-Image-ExifTool
Requires:	dcraw
Requires:	xmessage
Recommends:	brasero
Recommends:	rawtherapee

# Drop after Mageia 10
Provides:	fotoxx = %{version}-%{release}
Obsoletes:	fotoxx < 23.60-2

%description
Edit image files from a digital camera. Includes color and contrast
enhancement, red-eye removal, sharpen, crop, rotate, noise removal,
HDR (high dynamic range) and panorama image compositing, thumbnail
image browser, tag editing and search.

%prep
%autosetup -p1 -n %{name}

sed -i 's|/usr/local|%{_prefix}|' Makefile

%build
%set_build_flags
%make_build

%install
%make_install ICONDIR=%{_iconsdir}/hicolor/128x128/apps

%files
%{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_metainfodir}/kornelix.%{name}.metainfo.xml
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Jan 02 2025 daviddavid <daviddavid> 25.0-1.mga10
+ Revision: 2134836
- new version: 25.0

* Thu Nov 07 2024 daviddavid <daviddavid> 24.70-1.mga10
+ Revision: 2112831
- new version: 24.70

* Tue Oct 01 2024 daviddavid <daviddavid> 24.60-1.mga10
+ Revision: 2102332
- new version: 24.60
+ danf <danf>
- Update links to https:

* Thu Jul 04 2024 daviddavid <daviddavid> 24.50-1.mga10
+ Revision: 2079664
- new version: 24.50

* Mon Jun 17 2024 daviddavid <daviddavid> 24.40-1.mga10
+ Revision: 2074588
- new version: 24.40

* Sat May 25 2024 daviddavid <daviddavid> 24.30-1.mga10
+ Revision: 2067471
- new version: 24.30

* Tue Apr 09 2024 daviddavid <daviddavid> 24.21-1.mga10
+ Revision: 2056147
- new version: 24.21

* Wed Feb 28 2024 daviddavid <daviddavid> 24.11-1.mga10
+ Revision: 2045410
- new version: 24.11
- upstream renamed project as fotocx

* Fri Sep 01 2023 daviddavid <daviddavid> 23.60-1.mga10
+ Revision: 1983310
- new version: 23.60

* Wed Feb 01 2023 daviddavid <daviddavid> 23.1-1.mga9
+ Revision: 1937293
- new version: 23.1

* Tue Jan 03 2023 daviddavid <daviddavid> 23.0-1.mga9
+ Revision: 1929690
- new version: 23.0

* Mon Dec 12 2022 ns80 <ns80> 22.41-2.mga9
+ Revision: 1921029
- rebuild for new libtiff

* Tue Nov 15 2022 daviddavid <daviddavid> 22.41-1.mga9
+ Revision: 1907697
- new version: 22.41

* Thu Oct 06 2022 neoclust <neoclust> 22.31-1.mga9
+ Revision: 1895170
- New version 22.31

* Mon Apr 04 2022 umeabot <umeabot> 21.40-2.mga9
+ Revision: 1843613
- Mageia 9 Mass Rebuild

* Thu May 06 2021 daviddavid <daviddavid> 21.40-1.mga9
+ Revision: 1721800
- new version: 21.40

* Thu Apr 01 2021 daviddavid <daviddavid> 21.34-1.mga9
+ Revision: 1712438
- new version: 21.34
- new version: 20.19

* Thu Oct 22 2020 daviddavid <daviddavid> 20.18-1.mga8
+ Revision: 1638319
- new version: 20.18

* Wed Jul 29 2020 daviddavid <daviddavid> 20.17-1.mga8
+ Revision: 1609489
- new version: 20.17

* Sat Jul 04 2020 daviddavid <daviddavid> 20.15-1.mga8
+ Revision: 1601808
- new version: 20.15

* Thu May 28 2020 daviddavid <daviddavid> 20.13-1.mga8
+ Revision: 1588274
- new version: 20.13

* Mon May 04 2020 daviddavid <daviddavid> 20.12-1.mga8
+ Revision: 1578680
- new version: 20.12

* Fri Mar 13 2020 daviddavid <daviddavid> 20.11-1.mga8
+ Revision: 1556036
- new version: 20.11

* Fri Feb 21 2020 daviddavid <daviddavid> 20.08-1.mga8
+ Revision: 1548809
- new version: 20.08

* Thu Feb 20 2020 umeabot <umeabot> 20.05-2.mga8
+ Revision: 1545902
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 daviddavid <daviddavid> 20.05-1.mga8
+ Revision: 1485497
- new version: 20.05

* Wed Jan 08 2020 daviddavid <daviddavid> 20.03-1.mga8
+ Revision: 1477250
- new version: 20.03

* Thu Jan 02 2020 daviddavid <daviddavid> 20.0-1.mga8
+ Revision: 1475446
- new version: 20.0
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Tue Nov 26 2019 daviddavid <daviddavid> 19.20-1.mga8
+ Revision: 1462861
- new version: 19.20

* Thu Oct 17 2019 daviddavid <daviddavid> 19.18-1.mga8
+ Revision: 1454277
- new version: 19.18

* Tue Sep 24 2019 daviddavid <daviddavid> 19.17-1.mga8
+ Revision: 1445563
- new version: 19.17

* Mon Aug 26 2019 daviddavid <daviddavid> 19.15-1.mga8
+ Revision: 1432276
- new version: 19.15

* Mon Aug 19 2019 daviddavid <daviddavid> 19.14-1.mga8
+ Revision: 1430162
- new version: 19.14

* Sun Jun 30 2019 daviddavid <daviddavid> 19.12-1.mga8
+ Revision: 1416439
- new version: 19.12

* Thu Apr 18 2019 daviddavid <daviddavid> 19.10-1.mga7
+ Revision: 1393271
- new version: 19.10

* Tue Apr 16 2019 daviddavid <daviddavid> 19.9-1.mga7
+ Revision: 1391538
- new version: 19.9

* Sat Apr 13 2019 daviddavid <daviddavid> 19.8-1.mga7
+ Revision: 1389552
- new version: 19.8

* Sun Mar 31 2019 daviddavid <daviddavid> 19.7-1.mga7
+ Revision: 1383570
- new version: 19.7

* Wed Mar 13 2019 daviddavid <daviddavid> 19.6-1.mga7
+ Revision: 1375419
- new version: 19.6

* Mon Feb 25 2019 daviddavid <daviddavid> 19.5-1.mga7
+ Revision: 1370090
- new version: 19.5

* Fri Feb 22 2019 wally <wally> 19.4-2.mga7
+ Revision: 1369308
- fix build with new libchamplain
- use mga compiler flags

* Wed Jan 30 2019 daviddavid <daviddavid> 19.4-1.mga7
+ Revision: 1361913
- new version: 19.4

* Tue Jan 29 2019 daviddavid <daviddavid> 19.3-1.mga7
+ Revision: 1361829
- new version: 19.3

* Wed Jan 16 2019 daviddavid <daviddavid> 19.1-1.mga7
+ Revision: 1357367
- new version: 19.1

* Thu Nov 01 2018 daviddavid <daviddavid> 19.0-1.mga7
+ Revision: 1327245
- new version: 19.0
- rename and rediff mga-desktop_file patch

* Thu Sep 06 2018 daviddavid <daviddavid> 18.07.1-1.mga7
+ Revision: 1257528
- new version: 18.07.1
- rebuild for new libraw 0.19.0

* Sun Jul 01 2018 daviddavid <daviddavid> 18.07-1.mga7
+ Revision: 1241084
- new version: 18.07

* Wed May 02 2018 daviddavid <daviddavid> 18.01.4-1.mga7
+ Revision: 1224989
- new version: 18.01.4

* Sat Feb 24 2018 daviddavid <daviddavid> 18.01.3-1.mga7
+ Revision: 1204781
- new version: 18.01.3
- rename and rediff mga-desktop_file patch

* Fri Aug 11 2017 daviddavid <daviddavid> 17.08.2-1.mga7
+ Revision: 1139676
- new version: 17.08.2
- rename and rediff desktop_file patch

* Sun Jun 04 2017 daviddavid <daviddavid> 17.04.2-2.mga6
+ Revision: 1106462
- fix desktop file

* Sat Jun 03 2017 akien <akien> 17.04.2-1.mga6
+ Revision: 1105961
- Version 17.04.2

* Sat Jan 14 2017 daviddavid <daviddavid> 17.01.1-1.mga6
+ Revision: 1081727
- new version: 17.01.1

* Wed Dec 28 2016 neoclust <neoclust> 16.09-2.mga6
+ Revision: 1078428
- Rebuild for new libraw

* Sat Sep 17 2016 daviddavid <daviddavid> 16.09-1.mga6
+ Revision: 1053547
- new version: 16.09
- rename and rediff desktop_file patch

* Sat Apr 23 2016 daviddavid <daviddavid> 16.05.1-1.mga6
+ Revision: 1005760
- new version: 16.05.1

* Wed Apr 06 2016 daviddavid <daviddavid> 16.04-1.mga6
+ Revision: 998840
- new version: 16.04

* Fri Mar 04 2016 daviddavid <daviddavid> 16.03-1.mga6
+ Revision: 985470
- new version: 16.03

* Wed Feb 03 2016 daviddavid <daviddavid> 16.02-1.mga6
+ Revision: 933314
- new version: 16.02
- rename and rediff desktop patch

* Sun Jan 10 2016 daviddavid <daviddavid> 16.01.1-1.mga6
+ Revision: 921233
- new version: 16.01.1

* Fri Jan 01 2016 daviddavid <daviddavid> 16.01-1.mga6
+ Revision: 918025
- new version: 16.01

* Mon Dec 28 2015 daviddavid <daviddavid> 15.12.1-1.mga6
+ Revision: 916332
- new version: 15.12.1
- update Source URL

* Wed Dec 02 2015 daviddavid <daviddavid> 15.12-1.mga6
+ Revision: 907603
- new version: 15.12

* Wed Nov 25 2015 daviddavid <daviddavid> 15.11.1-1.mga6
+ Revision: 905938
- new version: 15.11.1
- use upstream desktop file
- add patch0 to fix upstream desktop file
- remove no more needed fix for appstream metadata location
- switch BRs to pkgconfig()

* Wed Oct 15 2014 umeabot <umeabot> 14.09-3.mga5
+ Revision: 744535
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 14.09-2.mga5
+ Revision: 679308
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Tue Sep 09 2014 bersuit <bersuit> 14.09-1.mga5
+ Revision: 674122
- Upgrade to new upstream version 14.09

* Wed Aug 27 2014 doktor5000 <doktor5000> 14.08-1.mga5
+ Revision: 668899
- new version 14.08
- added missing Suggests on brasero and rawtherapee
- moved appstream metadata from /usr/share/appdata to correct location

* Wed Apr 02 2014 bersuit <bersuit> 14.04-1.mga5
+ Revision: 611405
- Updated to new upstream version 14.04

* Mon Feb 10 2014 dams <dams> 14.02.2-1.mga5
+ Revision: 588959
- new version 14.02.2

* Mon Oct 21 2013 umeabot <umeabot> 13.09.4-2.mga4
+ Revision: 536981
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 bersuit <bersuit> 13.09.4-1.mga4
+ Revision: 485636
- Drop pthread patch
- Update to new upstream release 13.09.4

* Mon Jun 03 2013 fwang <fwang> 13.05.2-2.mga4
+ Revision: 435901
- rebuild for new libpng

* Thu May 23 2013 shlomif <shlomif> 13.05.2-1.mga4
+ Revision: 424997
- New BR - lcms2-devel
- New version - 13.05.2

* Fri Jan 11 2013 umeabot <umeabot> 13.01.1-2.mga3
+ Revision: 350788
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Mon Jan 07 2013 juancho <juancho> 13.01.1-1.mga3
+ Revision: 340958
- Updated to 13.01.1

* Wed Dec 26 2012 juancho <juancho> 12.12.2-1.mga3
+ Revision: 335263
- Updated to version 12.12.2

* Thu Nov 29 2012 juancho <juancho> 12.11-1.mga3
+ Revision: 323164
- Updated to 12.11

* Mon Oct 08 2012 juancho <juancho> 12.10.1-2.mga3
+ Revision: 303555
- Added Requires: dcraw

* Mon Oct 08 2012 juancho <juancho> 12.10.1-1.mga3
+ Revision: 303379
- Updated to 12.10.1

* Mon Aug 06 2012 juancho <juancho> 12.08-1.mga3
+ Revision: 279578
- Updated to 12.08

* Tue Jun 05 2012 juancho <juancho> 12.06.1-1.mga3
+ Revision: 255938
- Updated to 12.06.1

* Mon Mar 05 2012 juancho <juancho> 12.03.1-1.mga2
+ Revision: 219263
- Updated to 12.03.1

* Thu Mar 01 2012 juancho <juancho> 12.02-1.mga2
+ Revision: 216352
- Updated to 12.02
- Removed old BuildRoot stuff
+ ofaurax <ofaurax>
- Missing BuildRequires: glibc-devel, for pthread.h
- Upgrade new package to new version
- imported package fotoxx

